# Uses of Class
it.tdlight.jni.TdApi.JsonValue

## Uses of TdApi.JsonValue in it.tdlight.jni

Subclasses of TdApi.JsonValue in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.JsonValueArray`
Represents a JSON array.
`static final class`
`TdApi.JsonValueBoolean`
Represents a boolean JSON value.
`static final class`
`TdApi.JsonValueNull`
Represents a null JSON value.
`static final class`
`TdApi.JsonValueNumber`
Represents a numeric JSON value.
`static final class`
`TdApi.JsonValueObject`
Represents a JSON object.
`static final class`
`TdApi.JsonValueString`
Represents a string JSON value.
Fields in it.tdlight.jni declared as TdApi.JsonValue
Modifier and Type
Field
Description
`TdApi.JsonValue`
TdApi.SaveApplicationLogEvent.`data`
The log event data.
`TdApi.JsonValue`
TdApi.GetJsonString.`jsonValue`
The JsonValue object.
`TdApi.JsonValue`
TdApi.JsonObjectMember.`value`
Member's value.
`TdApi.JsonValue[]`
TdApi.JsonValueArray.`values`
The list of array elements.
Constructors in it.tdlight.jni with parameters of type TdApi.JsonValue
Modifier
Constructor
Description
``
`GetJsonString(TdApi.JsonValue jsonValue)`
Converts a JsonValue object to corresponding JSON-serialized string.
``
`JsonObjectMember(String key, TdApi.JsonValue value)`
Represents one member of a JSON object.
``
`JsonValueArray(TdApi.JsonValue[] values)`
Represents a JSON array.
``
`SaveApplicationLogEvent(String type, long chatId, TdApi.JsonValue data)`
Saves application log event on the server.